> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated team members

> Retrieve a paginated list of team members for the organisation.



## OpenAPI

````yaml /openapi/admin.json get /teams
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /teams:
    get:
      tags:
        - Team
      summary: Get paginated team members
      description: Retrieve a paginated list of team members for the organisation.
      operationId: getPaginatedTeamMembers
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
        - in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: number
                  edges:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                required:
                  - totalCount
                  - edges
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
        organisationId:
          type:
            - string
            - 'null'
        username:
          type: string
        displayName:
          type:
            - string
            - 'null'
        bio:
          type:
            - string
            - 'null'
        profilePictureUrl:
          type:
            - string
            - 'null'
        emailVerified:
          type:
            - string
            - 'null'
        locale:
          type:
            - string
            - 'null'
        points:
          type: number
        keys:
          type: number
        xp:
          $ref: '#/components/schemas/UserXPBreakdown'
        communityData:
          type: array
          items:
            $ref: '#/components/schemas/UserCommunityData'
        createdAt:
          type: string
        socialHandles:
          oneOf:
            - $ref: '#/components/schemas/SocialHandles'
            - type: 'null'
        roles:
          type: array
          items:
            type: string
        email:
          type: string
        fullName:
          type:
            - string
            - 'null'
          example: John Doe
        parentEmail:
          type:
            - string
            - 'null'
        birthDay:
          type:
            - number
            - 'null'
        birthMonth:
          type:
            - number
            - 'null'
        birthYear:
          type:
            - number
            - 'null'
        externalUserId:
          type:
            - string
            - 'null'
        isAnonymous:
          type: boolean
        updatedAt:
          type: string
      required:
        - id
        - username
        - points
        - keys
        - xp
        - communityData
        - createdAt
        - roles
        - email
        - isAnonymous
        - updatedAt
      title: User
      description: A user
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    UserXPBreakdown:
      type: object
      properties:
        total:
          type: number
          minimum: 0
        knowledge:
          type: number
          minimum: 0
        creativity:
          type: number
          minimum: 0
        loyalty:
          type: number
          minimum: 0
        influence:
          type: number
          minimum: 0
        participation:
          type: number
          minimum: 0
        contribution:
          type: number
          minimum: 0
      required:
        - total
        - knowledge
        - creativity
        - loyalty
        - influence
        - participation
        - contribution
      description: User XP Breakdown
      title: User XP Breakdown
    UserCommunityData:
      type: object
      properties:
        communityId:
          type: string
        streak:
          $ref: '#/components/schemas/UserStreak'
        challengesCompleted:
          type: number
          minimum: 0
        achievementsCompleted:
          type: number
          minimum: 0
        points:
          type: number
        xp:
          $ref: '#/components/schemas/UserXPBreakdown'
        hasAcceptedRules:
          type: boolean
      required:
        - communityId
        - streak
        - challengesCompleted
        - achievementsCompleted
        - points
        - xp
        - hasAcceptedRules
      description: Community data for a user
    SocialHandles:
      type: object
      properties:
        instagram:
          type:
            - string
            - 'null'
        loyaltyCardNumber:
          type:
            - string
            - 'null'
        tiktok:
          type:
            - string
            - 'null'
      title: SocialHandles
      description: Social media handles and loyalty information for a user
    UserStreak:
      type: object
      properties:
        currentStreak:
          type: number
          minimum: 0
        lastExtendedAt:
          type:
            - string
            - 'null'
        longestStreak:
          type: number
          minimum: 0
      required:
        - currentStreak
        - lastExtendedAt
        - longestStreak
      description: A user's streak
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````